Get IDs matching file filters

Returns all file manager identifiers matching the same search and filter parameters used by the file list.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Query parameters

filter[search]stringOptional
Search file names and related records.
filter[file_type][]list of stringsOptional
File type values to include.
filter[created_by][]list of stringsOptional
Creator names to include.
filter[related_to][]list of stringsOptional
Related entity labels to include.
filter[student_status][]list of stringsOptional
Student status titles to include.
filter[file_category][]list of stringsOptional
File category titles to include.
filter[created_at][from]dateOptional
Lower created date bound.
filter[created_at][to]dateOptional
Upper created date bound.

Response

Matching file identifiers.
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error